Index: branches/bsp_model/src/lib/graphics/importer/Makefile.am
===================================================================
--- branches/bsp_model/src/lib/graphics/importer/Makefile.am	(revision 8348)
+++ branches/bsp_model/src/lib/graphics/importer/Makefile.am	(revision 8351)
@@ -29,5 +29,6 @@
                            md3/md3_bone_frame.cc \
                            md3/md3_mesh.cc \
-                           md3/md3_data.cc
+                           md3/md3_data.cc \
+                           md3/md3_tag.cc
 
 
@@ -65,4 +66,5 @@
                 md3/md3_bone_frame.h \
                 md3/md3_mesh.h \
-                md3/md3_data.h
+                md3/md3_data.h \
+                md3/md3_tag.h
 
Index: branches/bsp_model/src/lib/graphics/importer/md3/md3_animation.cc
===================================================================
--- branches/bsp_model/src/lib/graphics/importer/md3/md3_animation.cc	(revision 8348)
+++ branches/bsp_model/src/lib/graphics/importer/md3/md3_animation.cc	(revision 8351)
@@ -19,3 +19,46 @@
 
 
-using namespace std;
+namespace md3
+{
+
+
+
+  /**
+   * create an empty MD3Animation object
+   */
+  MD3Animation::MD3Animation()
+  {
+    this->init();
+  }
+
+
+  /**
+   * create a new MD3 Anumation object and initialize it with the data on the given line
+   * @param line: the line to read from
+   */
+  MD3Animation::MD3Animation(std::string line)
+  {
+    this->init();
+    // loadAnimation()
+  }
+
+
+  /**
+   * deconstructor
+   */
+  MD3Animation::~MD3Animation()
+  {}
+
+
+  void MD3Animation::init()
+  {
+    this->first = 0;
+    this->numFrames = 0;
+    this->fps = 0;
+  }
+
+
+
+
+}
+
Index: branches/bsp_model/src/lib/graphics/importer/md3/md3_animation.h
===================================================================
--- branches/bsp_model/src/lib/graphics/importer/md3/md3_animation.h	(revision 8348)
+++ branches/bsp_model/src/lib/graphics/importer/md3/md3_animation.h	(revision 8351)
@@ -23,8 +23,9 @@
 
   public:
-    /** create an empty MD3Animation object */
-    MD3Animation() : first(0), numFrames(0), fps(0) {}
-    /** create a new MD3 Anumation object and initialize it with the data on the given line @param line: the line to read from*/
-    MD3Animation(std::string line) : first(0), numFrames(0), fps(0) { /* loadAnimation(); */ }
+    MD3Animation();
+    MD3Animation(std::string line);
+    virtual ~MD3Animation();
+
+    void init();
 
     std::string toString() { return std::string("Name: " + this->name); }
Index: branches/bsp_model/src/lib/graphics/importer/md3/md3_data.cc
===================================================================
--- branches/bsp_model/src/lib/graphics/importer/md3/md3_data.cc	(revision 8348)
+++ branches/bsp_model/src/lib/graphics/importer/md3/md3_data.cc	(revision 8351)
@@ -18,4 +18,6 @@
 
 
+namespace md3
+{
 
 /********************************************************************************
@@ -212,2 +214,4 @@
 void MD3Data::readMeshes()
 {}
+
+}
Index: branches/bsp_model/src/lib/graphics/importer/md3/md3_data.h
===================================================================
--- branches/bsp_model/src/lib/graphics/importer/md3/md3_data.h	(revision 8348)
+++ branches/bsp_model/src/lib/graphics/importer/md3/md3_data.h	(revision 8351)
@@ -42,4 +42,7 @@
 #define kAnimationSpeed                 12.0f                                    //!< animation speed
 
+
+namespace md3
+{
 
 //! This holds the header information that is read in at the beginning of the file: id software definition
@@ -109,5 +112,5 @@
 
 
-
+}
 
 
Index: branches/bsp_model/src/lib/graphics/importer/md3/md3_mesh.cc
===================================================================
--- branches/bsp_model/src/lib/graphics/importer/md3/md3_mesh.cc	(revision 8348)
+++ branches/bsp_model/src/lib/graphics/importer/md3/md3_mesh.cc	(revision 8351)
@@ -16,2 +16,23 @@
 
 #include "md3_mesh.h"
+
+
+namespace md3
+{
+
+/**
+ *  md3 mesh constructor
+ */
+MD3Mesh::MD3Mesh(FILE *pFile, int dataOffset)
+{
+}
+
+
+/**
+ * md3 mesh deconstructor
+ */
+MD3Mesh::~MD3Mesh()
+{}
+
+}
+
Index: branches/bsp_model/src/lib/graphics/importer/md3/md3_mesh.h
===================================================================
--- branches/bsp_model/src/lib/graphics/importer/md3/md3_mesh.h	(revision 8348)
+++ branches/bsp_model/src/lib/graphics/importer/md3/md3_mesh.h	(revision 8351)
@@ -16,11 +16,13 @@
 #include "vector.h"
 
+
+namespace md3
+{
+
 class MD3Mesh
 {
   public:
-    MD3Mesh() { /* loadMesh(this, din) */ }
+    MD3Mesh(FILE *pFile, int dataOffset);
     virtual ~MD3Mesh();
-
-//     FILE *pFile;                            //file stream
 
 
@@ -48,4 +50,5 @@
 };
 
+}
 
 #endif /* _MD3_MESH_H */
Index: branches/bsp_model/src/lib/graphics/importer/md3/md3_model.cc
===================================================================
--- branches/bsp_model/src/lib/graphics/importer/md3/md3_model.cc	(revision 8348)
+++ branches/bsp_model/src/lib/graphics/importer/md3/md3_model.cc	(revision 8351)
@@ -19,3 +19,18 @@
 
 
-using namespace std;
+namespace md3
+{
+
+  /**
+   * md3 model
+   */
+  MD3Model::MD3Model(FILE *pFile, int dataOffset)
+  {}
+
+
+
+  MD3Model::~MD3Model()
+  {}
+
+
+}
Index: branches/bsp_model/src/lib/graphics/importer/md3/md3_model.h
===================================================================
--- branches/bsp_model/src/lib/graphics/importer/md3/md3_model.h	(revision 8348)
+++ branches/bsp_model/src/lib/graphics/importer/md3/md3_model.h	(revision 8351)
@@ -16,9 +16,12 @@
 
 
+namespace md3
+{
+
 class MD3Model
 {
 
   public:
-    MD3Model();
+    MD3Model(FILE *pFile, int dataOffset);
     ~MD3Model();
 
@@ -48,5 +51,5 @@
     MD3Model*           parent;            //!< reference to the MD3Model
 };
-
+}
 
 #endif /* _MD3_MODEL_H */
